summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2012-01-10 16:05:26 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2012-01-10 16:05:26 +0100
commitafb2b22095cbfbf5aeb04aefc224e0bb1bf21919 (patch)
tree5a8e036f6fee356033593257a59fe2a4c8795b01
parent82fc49ba4b31b5e36f9a80b0e787c3129dd33483 (diff)
downloadbuildscripts-afb2b22095cbfbf5aeb04aefc224e0bb1bf21919.tar.gz
buildscripts-afb2b22095cbfbf5aeb04aefc224e0bb1bf21919.tar.bz2
buildscripts-afb2b22095cbfbf5aeb04aefc224e0bb1bf21919.zip
update to HEAD by default
-rwxr-xr-xbin/updatebuildmain3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/updatebuildmain b/bin/updatebuildmain
index f4f4917..1aca5e1 100755
--- a/bin/updatebuildmain
+++ b/bin/updatebuildmain
@@ -20,7 +20,7 @@
set -e
GITPROJECT=$(basename $(pwd))
-REF=$1
+REF=${1-HEAD}
# we need to be within a working copy (base folder) and we need a <REF>!!!
test -z $1 || test -d ./.git || {
@@ -30,5 +30,6 @@ test -z $1 || test -d ./.git || {
}
# update the build-main branch with our newest blessed reference
+git branch -D build-main &>/dev/null || true
git branch build-main &>/dev/null || true
git push origin $REF:build-main